Bug 1794279 - python-molecule fails to build in Fedora 32 [NEEDINFO]
Summary: python-molecule fails to build in Fedora 32
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-molecule
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: chedi toueiti
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS PYTHON39
TreeView+ depends on / blocked
 
Reported: 2020-01-23 07:56 UTC by Miro Hrončok
Modified: 2020-05-04 05:49 UTC (History)
6 users (show)

Fixed In Version: 3.0.1 python-molecule-3.0.2-6.fc32 python-molecule-3.0.2-6.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 04:56:06 UTC
Type: Bug
releng: needinfo? (blentz)


Attachments (Terms of Use)

Description Miro Hrončok 2020-01-23 07:56:56 UTC
python-molecule fails to build with Python 3.9.0a2.

+ /usr/bin/python3 setup.py build '--executable=/usr/bin/python3 -s'
Traceback (most recent call last):
  File "/builddir/build/BUILD/molecule-2.22/setup.py", line 350, in <module>
    __name__ == '__main__' and setuptools.setup(**setup_params)
  File "/usr/lib/python3.9/site-packages/setuptools/__init__.py", line 145, in setup
    return distutils.core.setup(**attrs)
  File "/usr/lib64/python3.9/distutils/core.py", line 108, in setup
    _setup_distribution = dist = klass(attrs)
  File "/usr/lib/python3.9/site-packages/setuptools/dist.py", line 446, in __init__
    _Distribution.__init__(self, {
  File "/usr/lib64/python3.9/distutils/dist.py", line 292, in __init__
    self.finalize_options()
  File "/usr/lib/python3.9/site-packages/setuptools/dist.py", line 735, in finalize_options
    ep.load()(self, ep.name, value)
  File "/usr/lib/python3.9/site-packages/setuptools/dist.py", line 291, in check_specifier
    packaging.specifiers.SpecifierSet(value)
  File "/usr/lib/python3.9/site-packages/setuptools/_vendor/packaging/specifiers.py", line 594, in __init__
    specifiers = [s.strip() for s in specifiers.split(",") if s.strip()]
AttributeError: 'SpecifierSet' object has no attribute 'split'


To my best knowledge, thsi problem is not related to Python 3.9 at all, but it still blocks the Python 3.9 rebuild.

See also https://github.com/pypa/setuptools/issues/1869


For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.9/fedora-rawhide-x86_64/01176502-python-molecule/

For all our attempts to build python-molecule with Python 3.9, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.9/package/python-molecule/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.9:
https://copr.fedorainfracloud.org/coprs/g/python/python3.9/

Let us know here if you have any questions.

Python 3.9 will be included in Fedora 33. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.9.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Ben Cotton 2020-02-11 16:31:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 2 Fedora Release Engineering 2020-02-16 04:34:33 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 3 chedi toueiti 2020-02-21 14:35:52 UTC
a new version 3.0.1 has been built, this will normally fix this issue. let me know if more information is needed.

Comment 4 Fedora Update System 2020-02-24 14:06:37 UTC
FEDORA-2020-d83a251120 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d83a251120

Comment 5 Drew Northup 2020-02-24 18:50:32 UTC
@chedi It looks like you might need to whitelist some of the molecule template files to get the package in.

From the Taskotron output:

##### RPMs  #####
python3-molecule.noarch: W: no-documentation
python3-molecule.noarch: W: hidden-file-or-dir /usr/lib/python3.7/site-packages/molecule/cookiecutter/molecule/{{cookiecutter.role_name}}/.yamllint
python3-molecule.noarch: W: hidden-file-or-dir /usr/lib/python3.7/site-packages/molecule/test/functional/.ansible-lint
python3-molecule.noarch: W: hidden-file-or-dir /usr/lib/python3.7/site-packages/molecule/test/resources/.yamllint
python3-molecule.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/molecule/test/resources/roles/testplugin/library/library.py 644 /usr/bin/python 
python3-molecule.noarch: W: hidden-file-or-dir /usr/lib/python3.7/site-packages/molecule/test/scenarios/.flake8
python3-molecule.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/molecule/test/scenarios/plugins/library/project_library.py 644 /usr/bin/python 
python3-molecule.noarch: W: hidden-file-or-dir /usr/lib/python3.7/site-packages/molecule/test/scenarios/verifier/.pre-commit-config.yaml
python3-molecule.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/molecule/test/scenarios/verifier/molecule/testinfra-pre-commit/tests/test_default.py 644 /usr/bin/python 
python3-molecule.noarch: W: no-manual-page-for-binary molecule
2 packages and 0 specfiles checked; 3 errors, 7 warnings.

Comment 6 Fedora Update System 2020-04-25 15:14:19 UTC
FEDORA-2020-0c221024ae has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-0c221024ae

Comment 7 Fedora Update System 2020-04-25 15:14:20 UTC
FEDORA-2020-fd94e0d12d has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-fd94e0d12d

Comment 8 Fedora Update System 2020-04-26 04:15:14 UTC
FEDORA-2020-0c221024ae has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-0c221024ae`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-0c221024ae

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-04-26 04:29:14 UTC
FEDORA-2020-fd94e0d12d has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-fd94e0d12d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-fd94e0d12d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-04-26 04:51:26 UTC
FEDORA-2020-da7af6e03f has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-da7af6e03f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-da7af6e03f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-05-04 04:56:06 UTC
FEDORA-2020-fd94e0d12d has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-05-04 05:49:15 UTC
FEDORA-2020-0c221024ae has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.